.product-promocion {
    border: 2px solid #423F3F;
    padding: 15px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.2s ease;
}

.product-promocion:hover {
    transform: scale(1.02);
}

.woocommerce-loop-product__title {
    background-color: #EFEDE4;
    padding: 10px;
    border-radius: 5px;
    display: inline-block;
    border: 1px solid #000;
}

.precio{
    background-color: #423F3F;
    color: #F9AD04;
    font-size: 20px;
    font-weight: bold;
    padding: 10px;
    margin-bottom: 10px;
    width: 100%;
}

.porcentaje-descuento{
    background-color: #423F3F;
    color: #F9AD04;
    font-size: 20px;
    font-weight: bold;
    padding: 8px 15px;
}

.clave-container {
    width: fit-content;
    border-radius: 10px 10px 10px 10px;
    overflow: hidden;
    font-family: sans-serif;
    text-align: center;
    padding: 10px;
}

.clave-header {
    background-color: #F9AD04;
    color: white;
    padding: 5px 15px;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 12px;
}

.clave-sku {
    background-color: #423F3F;
    color: white;
    padding: 8px 15px;
    font-size: 20px;
    font-weight: bold;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.sku{
    border-radius: 5px; 
    color: white;
}
.sku-title{
    background-color: #F9AD04; 
    border-radius: 5px; 
    color: white;
}
@media (min-width: 768px) {
    .product-promocion {
        width: calc(33% - 20px);
        display: inline-block;
        margin: 5px;
        box-sizing: border-box;
        vertical-align: top;
    }

    .woocommerce ul.products li.product {
        flex: 1 1 calc(33% - 20px);
        margin: 10px;
    }
    .titulo-producto {
        width: 100%;
    }
    .detalle-producto {
        width: 33.33%;
    }
    .imagen-producto {
        width: 66.66%; 
        display: flex; 
        justify-content: center; 
        align-items: center;
    }
    .woocommerce ul.products {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 0;
        list-style: none;
    }

    .woocommerce ul.products li.product {
        margin: 10px;
        box-sizing: border-box;
    }
    .container-producto {
        display: flex !important;
    }
}

@media (max-width: 768px) {
    .products-grid .product{
        width: 100% !important;
        margin: 0 0 10px 0;
    }
    .product-promocion {
        width: 100%;
    }

    .woocommerce ul.products li.product {
        flex: 1 1 100%;
        margin: 0 0 10px 0;
    }
    .detalle-producto {
        width: 100%;
    }
    .imagen-producto {
        width: 100%;
    }
    .woocommerce ul.products {
        padding: 0 10px;
    }
}